Delete a Policy by ID

Cortex XSIAM Platform APIs

delete /public_api/v1/cwp/policies/{id}

Delete a policy instance by its ID.

Path parameters
id String required

Policy ID to delete

Example: id_example
Query parameters
closeIssues Boolean

If set, will trigger closing of issues opened by the deleted policy.

Example: true
CLIENT REQUEST
curl -X 'DELETE'
-H 'Accept: application/json; charset=UTF-8'
'https://api-yourfqdn/public_api/v1/cwp/policies/{id}?closeIssues=true'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") conn.request("DELETE", "/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE") res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Delete.new(url) response = http.request(request) puts response.read_body
const data = null; const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("DELETE", "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE"); xhr.send(data);
HttpResponse<String> response = Unirest.delete("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE") .asString();
import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "DELETE" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "DELETE", ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/cwp/policies/%7Bid%7D?closeIssues=SOME_BOOLEAN_VALUE"); var request = new RestRequest(Method.DELETE); IRestResponse response = client.Execute(request);
Responses

Success

Client error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Forbidden error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Policy ID not found

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]

Service had unexpected internal error

Body
application/json; charset=UTF-8
err_msgstring

The error message

metadataobjectrequired

Details for the PublicAPIError

codestring (Enum)

Reported error code

Example:"NOT_FOUND"
Allowed values:"BAD_REQUEST""FORBIDDEN""NOT_FOUND""INTERNAL_ERROR"
RESPONSE
[application/json; charset=UTF-8 content]